Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/iam/principals

List IAM principals

Requires iam.principals.read on an active principal bound to the authenticated organization. Authenticate with an active, unexpired IAM credential of type api_key. Application API keys (including legacy API keys) and provider OAuth tokens cannot authorize IAM management endpoints. Use an existing IAM credential with these permissions, or create your first management credential in the Dashboard.

Use next_cursor from the response as page_token on the next request. When next_cursor is absent, there are no more results.

IAM API KEY

Parameters

Query parameters

limitinteger

Maximum results per page.

Default: 50
page_tokenstring

Opaque next_cursor from the previous response.

resource_binding_typestring

Filter by binding type. Must be supplied with resource_binding_id.

organizationapplicationworkspacegrant
resource_binding_idstring

Filter by binding ID. Must be supplied with resource_binding_type.

Responses

request_idstring

Request ID for troubleshooting.

dataarray<object>
next_cursorstring

Opaque cursor. Absent on the final page. Pass as page_token.

GEThttps://api.us.nylas.com/v3/iam/principals?limit=50

Paste the authorization token required for this endpoint.